<template>
  <v-app app>
    <v-main>
      <Header v-if="$route.path !== '/auth' && AUTH"/>
      <router-view class="px-lg-10 px-md-6 px-sm-3 px-2"/>
    </v-main>
  </v-app>
</template>

<script>
import Header from './components/Header'
import {mapGetters} from 'vuex'
export default {
  name: 'App',
  components: {
    Header
  },
  data: () => ({
  }),
  computed: {
    ...mapGetters(['AUTH', 'USER'])
  },
  created () {
    if (!this.USER.length && !localStorage.user) this.$router.replace({path: '/auth'})
  },
  methods: {
  },
}
</script>
<style lang="scss">
  @import "./assets/style.css";
  /* Works on Chrome, Edge, and Safari */
  *::-webkit-scrollbar {
    width: 5px;
    height: 5px;
  }*::-webkit-scrollbar-corner {
     display: none;
   }

  *::-webkit-scrollbar-track {
    background:white;
  }

  *::-webkit-scrollbar-thumb {
    background: linear-gradient(to top right, hsl(0, 16%, 79%), hsl(0, 0%, 46%));
    border-radius: 20px;
    border: 1px #c7c7c7 solid;
  }
  #app {
    max-height: 100vh;
  }
  body {
    .v-main-wrap {
      overflow: hidden;
      max-height: 100vh;
    }
    .v-main {
      overflow: hidden;
      max-height: 100%;
    }
    overflow: hidden;
    @media (max-width: 420px) {
      overflow-y: auto;
    };
    width: 100vw;
    height: 100vh;
  }
</style>
